Description

We have three UML diagrams provided by prof. We use "ProposedDesign-FourClasses-Corrected.asta" which have 4 class

diagrams originally.

please complete UML diagrams to implement all the functions. Think of what attributes and operations are necessary and what

classes are necessary and appropriate.

Try that you all understand how to implement deeply rather than you just aim for finishing. Therefore, you should understand how we

apply alpha and gamma blending techniques to two images.

| hope that you could explain how to implement in detail to the programmer people when you show the diagrams.

put your spent time every time after you work.

Once you finish, plz make this issue "resolved" from edit.

Subtasks:
Feature # 1282: UML - Week12 - generate codes from the diagram

Resolved

History

#1 - 12/12/2024 03:12 PM - Kentaro HARATAKE
- Subject changed from 0 - Main Task UML to 0 - UML Main Task

#2 - 12/12/2024 10:57 PM - Toma IKUTA

- Subject changed from 0 - UML Main Task to Week12 - UML Completing
- Due date set to 12/18/2024

- Assignee set to Yuina HAMA

- Estimated time set to 5.00 h

#3 - 12/12/2024 11:42 PM - Toma IKUTA

- Description updated

#4 - 12/12/2024 11:46 PM - Toma IKUTA

- Subject changed from Week12 - UML Completing to UML - Week12- Diagram Completing

#5 - 12/12/2024 11:47 PM - Toma IKUTA

- Subject changed from UML - Week12- Diagram Completing to UML - Week12- Completing Diagram

#6 - 12/13/2024 12:00 AM - Toma IKUTA

- Status changed from New to In Progress

#7 - 12/13/2024 08:09 PM - Toma IKUTA
- File pbl4_uml.png added
- File pbl4.asta added

#8 - 12/17/2024 03:41 PM - Yuina HAMA
- File pbl4_uml.asta added
still need to add relation

#9 - 12/19/2024 12:08 AM - Kentaro HARATAKE
- Assignee deleted (Yuina HAMA)

#10 - 12/19/2024 02:42 PM - MUMEIZI SUN
- Assignee set to MUMEIZI SUN

#11 - 12/19/2024 02:43 PM - Yuina HAMA
- File pbl4_uml.asta added
- Assignee deleted (MUMEIZI SUN)

#12 - 12/19/2024 02:44 PM - Yuina HAMA
- File deleted (pbl4_uml.asta)

#13 - 12/19/2024 02:44 PM - Yuina HAMA
- File pbl4_uml.asta added

#14 - 12/19/2024 03:10 PM - Toma IKUTA
- File pbl4_uml.asta added

#15 - 01/16/2025 01:58 PM - Toma IKUTA

- Status changed from In Progress to Resolved

Files

pbl4_uml.png 86.7 KB 12/13/2024 Toma IKUTA

pbl4.asta 12.8 KB 12/13/2024 Toma IKUTA

pbl4_uml.asta 12.5 KB 12/17/2024 Yuina HAMA

pbl4_uml.asta 14.7 KB 12/19/2024 Yuina HAMA

pbl4_uml.asta 14.7 KB 12/19/2024 Toma IKUTA
